Bug 787443 - no user list in gdm greeter
no user list in gdm greeter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
16
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-05 00:41 EST by John Hein
Modified: 2013-02-13 17:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:01:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdm screen - no user list (31.62 KB, image/png)
2012-02-05 00:41 EST, John Hein
no flags Details

  None (edit)
Description John Hein 2012-02-05 00:41:21 EST
Created attachment 559441 [details]
gdm screen - no user list

Description of problem:


Version-Release number of selected component (if applicable):

gdm-3.2.1.1-8.fc16.i686

How reproducible:

Seems to always be happening.

Steps to Reproduce:
1. Just go to the standard gdm greeter screen (either after boot or from switch user)

  
Actual results:

There is no user list in the gdm greeter window... just the 'Not listed?' option.

Expected results:

List of users to click on.

Additional info:

accountsservice-libs-0.6.15-2.fc16.i686
accountsservice-0.6.15-2.fc16.i686

excerpt from /var/log/gdm/:0-slave.log

gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=SetupForProgram
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: program with log file '/var/log/gdm/:0-greeter.log'
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: Seat loading sequence complete, so trying to set loaded property
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: Seat still actively loading, so not setting loaded property
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: calling 'ListCachedUsers'
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: attempting to change state to SETUP_COMPLETE
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: initializing PAM
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: state SETUP_COMPLETE
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: Calling SetupComplete
gdm-simple-slave[1658]: DEBUG(+): GdmSessionDirect: got message
gdm-simple-slave[1658]: DEBUG(+): session_message_handler: destination=(null) obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=SetupComplete
gdm-simple-slave[1658]: DEBUG(+): GdmSessionDirect: Emitting 'setup-complete' signal
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: ListCachedUsers finished with empty list, maybe setting loaded property now
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: Seat still actively loading, so not setting loaded property
gdm-welcome][1681]: AccountsService-DEBUG(+): Failed to identify the current session: Unable to lookup session information for process '1681'
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: seat unloaded, so trying to set loaded property
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: Seat wouldn't load, so giving up on it and setting loaded property
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=SetSessionType
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: session type set to LoginWindow
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=Authenticate
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: attempting to change state to AUTHENTICATED
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: authenticating user
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: state AUTHENTICATED
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: Calling Authenticated
gdm-simple-slave[1658]: DEBUG(+): GdmSessionDirect: got message
gdm-simple-slave[1658]: DEBUG(+): session_message_handler: destination=(null) obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=Authenticated
gdm-simple-slave[1658]: DEBUG(+): GdmSessionDirect: Emitting 'authenticated' signal
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=Authorize
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: attempting to change state to AUTHORIZED
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: determining if authenticated user is authorized to session
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: state AUTHORIZED
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: Calling Authorized
gdm-simple-slave[1658]: DEBUG(+): GdmSessionDirect: got message
gdm-simple-slave[1658]: DEBUG(+): session_message_handler: destination=(null) obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=Authorized
gdm-simple-slave[1658]: DEBUG(+): GdmSessionDirect: Emitting 'authorized' signal
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=EstablishCredentials
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: attempting to change state to ACCREDITED
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: state ACCREDITED
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: Calling Accredited
gdm-simple-slave[1658]: DEBUG(+): GdmSessionDirect: got message
gdm-simple-slave[1658]: DEBUG(+): session_message_handler: destination=(null) obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=Accredited
gdm-simple-slave[1658]: DEBUG(+): GdmSessionDirect: Emitting 'accredited' signal
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: obj_path=/org/gnome/DisplayManager/Session interface=org.gnome.DisplayManager.Session method=OpenSession
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: attempting to change state to ACCOUNT_DETAILS_SAVED
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: user gdm, not fully loaded yet, will save account details later
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: trying to track new user with username gdm
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: finding user gdm state 1
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: finding user gdm state 2
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: Looking for user gdm in accounts service
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: Found object path of user 'gdm': /org/freedesktop/Accounts/User42
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: finding user gdm state 3
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: user gdm fetched
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: finished handling request for user gdm
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: user 'gdm' is now loaded
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: tracking user 'gdm'
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: loaded, so emitting user-added signal
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: no pending users, trying to set loaded property
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: already loaded, so not setting loaded property
gdm-welcome][1681]: DEBUG(+): GdmSessionSettings: saved session is 
gdm-welcome][1681]: DEBUG(+): GdmSessionSettings: saved language is 
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: saving account details for user gdm
gdm-welcome][1681]: AccountsService-DEBUG(+): ActUserManager: user gdm changed
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: attempting to change state to SESSION_OPENED
gdm-welcome][1681]: pam_unix(gdm-welcome:session): session opened for user gdm by (uid=0)
gdm-welcome][1681]: DEBUG(+): GdmSessionWorker: state SESSION_OPENED
Comment 1 John Hein 2012-02-11 22:35:02 EST
When I add a new user with useradd, those users do show up in the user list...

Feb 11 19:58:14 dickens gdm-fingerprint][2366]: AccountsService-DEBUG(+): ActUserManager: ListCachedUsers finished, will set loaded property after list is fully loaded
Feb 11 19:58:14 dickens gdm-fingerprint][2366]: AccountsService-DEBUG(+): ActUserManager: tracking new user with object path /org/freedesktop/Accounts/User1001

But no existing users show up in the list.

Changing component to accountsservice.
Comment 2 John Hein 2012-02-11 22:37:46 EST
Running /usr/libexec/accounts-daemon --debug shows...

** (accounts-daemon:2693): DEBUG: skipping user: jhein

... for all the existing users.
Comment 3 John Hein 2012-02-12 00:20:48 EST
The existing users are skipped because the daemon_local_user_is_excluded function in daemon.c skips uids now that are < 1000.

It looks the install of shadow-utils-4.1.4.3-11.fc16 bumped up UID_MIN from 500 to 1000.  This is arguably a bug in the shadow-utils install that doesn't grandfather in old accounts somehow.  That said, I have no ideas how one might do that.  Maybe at least generate a warning when bumping UID_MIN with existing user accounts < new min and >= old min?

Changing component to shadow-utils.

If no one wants it, I can see a case for just closing this bug, but it would be nice to add some documentation to guide unsuspecting users who might hit these kind of issues.  At least, I think the shadow-utils package should detect potential breakage (UIDs 500-999) at install time and warn.
Comment 4 John Hein 2012-02-12 00:38:49 EST
Perhaps better would be for accountsservice to have an include/exclude list of users &/or uid ranges (that people could edit) rather than depending on UID_MIN.  Defaulting the exclusion to be based on UID_MIN is fine, but allow configuration of a list of valid user accounts that an admin can edit.  I guess I like that solution the best.  Now to find an unsuspecting hacker to code that up.
Comment 5 Fedora End Of Life 2013-01-16 12:23:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 17:01:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.